/*
/ Projektname : RFID-Reader-Modul
/ Dateiname   : RFID-Display.h
/ Version     : 1.0.0 - ATmega8
/ Datum       : 28.12.2013 
/ Compiler    : WinAVR 20100110 libc 1_7_1
/ Autor       : Johannes Kretzmann
/ Copyright   : johannes.kretzmann@projektsammlung.de
/               www.projektsammlung.de
*/



// Pinbelegung des Display an verwendete C-Pins anpassen
#define PORT_DISPLAY_DATA     PORTB
#define PORT_DISPLAY_RS       PORTC
#define PORT_DISPLAY_E        PORTC
#define DDR_DISPLAY_DATA      DDRB
#define DDR_DISPLAY_RS        DDRC
#define DDR_DISPLAY_E         DDRC
#define BIT_DISPLAY_DATA4     2
#define BIT_DISPLAY_DATA5     3
#define BIT_DISPLAY_DATA6     4
#define BIT_DISPLAY_DATA7     5
#define BIT_DISPLAY_RS        0
#define BIT_DISPLAY_E         1


// Display-Befehle
#define CLEAR_DISPLAY                0x01
#define CURSOR_HOME                  0x02
#define DISPLAY_BLINKING             0x0D
#define DISPLAY_CURSOR_BLINKING      0x0F
#define Display_FUNCTION_4BIT_2LINES 0x28    // 4-bit interface, dual line,   5x7 dots
#define Display_ON                   0x0C    // display on, cursor off
#define Display_ENTRY_INC            0x06    // display shift off, inc cursor move dir



// Funktions-Deklaration
void InitDisplay(void);
void WriteDisplay(uint8_t data);
void WriteDisplayControl(uint8_t data);
void WriteDisplayData(uint8_t data);
void WriteDisplayString(char *data);
void ClearDisplay(void);

void SetDisplayRow(uint8_t y);
void SetDisplayCursor(uint8_t y, uint8_t x);



