/*
/ Projektname : RFID-Reader-Modul
/ Dateiname   : RFID-U2270B.h
/ Version     : 1.0.0 - ATmega8
/ Datum       : 28.12.2013 
/ Compiler    : WinAVR 20100110 libc 1_7_1
/ Autor       : Johannes Kretzmann
/ Copyright   : johannes.kretzmann@projektsammlung.de
/               www.projektsammlung.de
*/



// Pinbelegung des RFID-Chips U2270B an C-Pins anpassen
#define PORT_RFID_RX        PORTD
#define DDR_RFID_RX         DDRD
#define PIN_RFID_RX         PIND
#define BIT_RFID_RX         3

#define PORT_RFID_CFE       PORTD
#define DDR_RFID_CFE        DDRD
#define PIN_RFID_CFE        PIND
#define BIT_RFID_CFE        4

#define ZEILENPARITY        0


// Impuls Lngen nach Application Note U2270B (Seite 14)
#define MIN_KURZER_IMPULS   20          // 10,75     90s/125KHz +3%   (128,75KHz=7,76s)
#define MAX_KURZER_IMPULS   48          // 23,20    180s/125KHz -3%   (119,42KHz=8,37s)
#define MIN_LANGER_IMPULS   54          // 27,06    210s/125KHz +3%   (128,75KHZ=7,76s)
#define MAX_LANGER_IMPULS   76          // 35,84    300s/125KHz -3%   (119,42KHz=8,37s)



// ---------- Varialben deklarieren -------

char    Vorgaenge_Taktlaenge;

uint8_t RFID_Synchrontakte_aktiv;
uint8_t Gueltige_Daten_empfangen;

uint8_t RFID_Tag_Bit_Zaehler;
uint8_t RFID_Daten_Bit_Zaehler;
uint8_t RFID_Synchron_Bit_Zaehler;

uint8_t Parity_Byte;

uint8_t RFID_Daten_Byte[5];
uint8_t RFID_Tag_Empfangs_Frame;



// ---------- Funktionen deklarieren -------
void InitRFID(void);


